Bug 823088 - rsync looses track of files if differing directory prefixes are given
rsync looses track of files if differing directory prefixes are given
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 21:21 EDT by The Veritable Bugeater
Modified: 2012-12-20 11:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:21:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 9212 None None None 2012-10-08 04:41:41 EDT

  None (edit)
Description The Veritable Bugeater 2012-05-18 21:21:26 EDT
Description of problem:
  If rsync is given a list of files containing differing relative directory
  prefixes, it will loose track of the source files.

Version-Release number of selected component (if applicable):
  rsync-3.0.8-2.fc16.x86_64

How reproducible:
  Try to rsync files locally from more than one local directory.
  rsync gets lost after it processes the first different source directory.

Steps to Reproduce:
1. Setup:
  % mkdir /tmp/test
  % cd /tmp/test
  % mkdir -p c/d dest
  % touch a.c b.c c/d/e.c f.c

2. Run rsync:
  % rsync -av --update a.c b.c c/d/e.c f.c dest/
  sending incremental file list
  a.c
  b.c
  e.c
  f.c


3. Run another rsync:
  % rm -f dest/*
  % rsync -av --update ./a.c ./b.c ./c/d/e.c ./f.c dest/
  sending incremental file list
  rsync: link_stat "/tmp/tvb-test/f.c" failed: No such file or directory (2)
  file has vanished: "/tmp/tvb-test/a.c"
  file has vanished: "/tmp/tvb-test/b.c"
  e.c

  sent 125 bytes  received 69 bytes  388.00 bytes/sec
  total size is 0  speedup is 0.00
  rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1052) [sender=3.0.8]

  The files have NOT vanished.  It is just that rsync has lost track of
  where they were.
  
Actual results:
  The directory only contains e.c.

Expected results:
  The directory "dest" should contain a.c, b.c, e.c, and f.c.


Additional info:
  If "f.c" is not prefaced with "./" then the rsync works.
  If None of the files are prefaced with "./" the rsync works.
  If the list is ./a.c ./b.c ./f.c ./c/d/e.c the rsync works
  if it is already up-to-date but fails if not.
Comment 1 Fedora Update System 2012-10-18 06:43:25 EDT
rsync-3.0.9-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rsync-3.0.9-4.fc18
Comment 2 Fedora Update System 2012-10-18 06:45:20 EDT
rsync-3.0.9-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rsync-3.0.9-3.fc17
Comment 3 Fedora Update System 2012-10-18 11:26:58 EDT
Package rsync-3.0.9-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rsync-3.0.9-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16398/rsync-3.0.9-4.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-24 10:48:23 EDT
rsync-3.0.9-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rsync-3.0.9-5.fc18
Comment 5 Fedora Update System 2012-10-24 10:49:44 EDT
rsync-3.0.9-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rsync-3.0.9-4.fc17
Comment 6 Fedora Update System 2012-12-20 11:21:32 EST
rsync-3.0.9-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.